## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           perl-parallel-forker
Version:        1.260
Release:        %autorelease
Summary:        A perl library for managing parallel processes.
License:        LGPL-3.0-only AND Artistic-2.0
URL:            https://www.veripool.org/parallel-forker
Source:         https://github.com/veripool/parallel-forker/archive/refs/tags/v%{version}/parallel-forker-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(Proc::ProcessTable)
Buildrequires:  perl-generators
BuildRequires:  perl-interpreter

%description
Parallel::Forker is a Perl package to manage parallel 
processes that are either subroutines or system commands. 
Parallel::Forker supports being able to specify complicated
expressions to determine which processes run after others, 
or processes that run when processes others fail.

# No debug package required
%global debug_package %{nil}

%prep
%autosetup -n parallel-forker-%{version}

# tests fail without README
touch README

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%make_build 

%check
make test 

%install
%make_install
%{_fixperms} %{buildroot}

%files
%license README.pod
%{perl_vendorlib}/*
%{_mandir}/man3/Parallel::Forker*

%changelog
## START: Generated by rpmautospec
* Wed Mar 20 2024 Nolan Poe <npgo22@gmail.com> - 1.260-6
- Uncommitted changes

* Wed Mar 20 2024 Nolan Poe <npgo22@gmail.com> - 1.260-5
- rm sources

* Wed Mar 20 2024 Nolan Poe <npgo22@gmail.com> - 1.260-4
- clean tree

* Sat Mar 09 2024 Nolan Poe <npgo22@gmail.com> - 1.260-3
- Fix COPR build

* Sat Mar 09 2024 Nolan Poe <npgo22@gmail.com> - 1.260-2
- upload source tarball

* Sat Mar 09 2024 Nolan Poe <npgo22@gmail.com> - 1.260-1
- Initial build of parallel-forker-1.260
## END: Generated by rpmautospec
